Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665954 - net-analyzer/ndoutils: Validate DEPEND on virtual/mysql
Summary: net-analyzer/ndoutils: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Netmon project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:32 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:32:45 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2018-09-23 01:27:50 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01aa5c86f215262b6ebac3b597553e6d2b487ea7

commit 01aa5c86f215262b6ebac3b597553e6d2b487ea7
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2018-09-22 22:50:58 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2018-09-23 01:27:01 +0000

    net-analyzer/ndoutils: replace virtual/mysql build-time dependency.
    
    The ndoutils build system (m4/np_mysqlclient.m4) requires the
    mysql_config program at build time but doesn't require any of the
    other server files to be present Per bug 665954, I've replaced the
    virtual/mysql DEPEND with dev-db/mysql-connector-c.
    
    The mysql virtual is still used in RDEPEND because, as far as I know,
    either server is still supported at runtime regardless of the client
    library in use.
    
    In an unrelated change, two symlinks were made relative to please
    repoman. Their targets were also made executable, since otherwise
    you can't run them via the symlinks.
    
    Closes: https://bugs.gentoo.org/665954
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 ...utils-2.1.3.ebuild => ndoutils-2.1.3-r1.ebuild} | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)